Skip to content

Exchange username and password for JWT token

Request

Query
companyIdstring, >= 1

The unique company identifier.

domainstring

A valid domain associated with a company

userTypestring(UserType)

User type.

Enum:"agent""borrower""service"
authTypestring(AuthType)

The authentication type to explicitly use

Enum:"basic""google""oneTimeCodeEmail""oneTimeCodeText""SAML"
authValueTypestring(AuthValueType)

The authentication value type to explicitly use

Enum:"email""username""phone""samlSubjectNameId"
Bodyapplication/jsonrequired
Any of:
passwordstring, (password)

The password to authenticate with.

usernamestring

The username to authenticated. This can be a username or an email, depending on the configuration.

POST
/compliance/auth/token
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/compliance/auth/token?companyId=string&domain=string&userType=agent&authType=basic&authValueType=email' \
  -H 'Content-Type: application/json' \
  -d '{
    "password": "pa$$word",
    "username": "string"
  }'

Responses

JWT token

Bodyapplication/json
tokenstringrequired
Response
{ "token": "string" }